# QProgressBar Class Reference

### [com.trolltech.qt.gui package]

Inherits QWidget.

### Constructor

- void QProgressBar(QWidget parent)

### Constructor Properties

- prototype: The QProgressBar prototype object
- TopToBottom
- BottomToTop
- Direction( value )

### Prototype Object Properties

The QProgressBar prototype object inherits properties from the QWidget prototype object and also has the following properties.

- QSize minimumSizeHint()
- QSize sizeHint()

### Instance Properties

QProgressBar objects inherit properties from the QProgressBar prototype object and also have the following properties.

- minimum
- maximum
- text
- value
- alignment
- textVisible
- orientation
- invertedAppearance
- textDirection
- format